#!/bin/bash

C=15
mkdir -p ./concrete/red/
mkdir -p ./concrete/orange/
mkdir -p ./concrete/yellow/
mkdir -p ./concrete/green/
mkdir -p ./concrete/cyan/
mkdir -p ./concrete/blue/
mkdir -p ./concrete/purple/
mkdir -p ./concrete/magenta/
mkdir -p ./concrete/white/
mkdir -p ./concrete/black/
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(255,0,0)"   -colorize $C,$C,$C,0 -level "0%,100%,0.8" ./concrete/red/$f      ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(255,127,0)" -colorize $C,$C,$C,0 -level "0%,100%,0.8" ./concrete/orange/$f   ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(255,255,0)" -colorize $C,$C,$C,0 -level "0%,100%,0.8" ./concrete/yellow/$f   ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(0,255,0)"   -colorize $C,$C,$C,0 -level "0%,100%,0.8" ./concrete/green/$f    ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(0,255,255)" -colorize $C,$C,$C,0 -level "0%,100%,0.8" ./concrete/cyan/$f     ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(0,0,255)"   -colorize $C,$C,$C,0 -level "0%,100%,0.8" ./concrete/blue/$f     ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(127,0,255)" -colorize $C,$C,$C,0 -level "0%,100%,0.8" ./concrete/purple/$f   ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(255,0,255)" -colorize $C,$C,$C,0 -level "0%,100%,0.8" ./concrete/magenta/$f  ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(255,127,0)"                      -level "0%,70%,1.2"  ./concrete/white/$f    ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(0,0,0)"                          -level "0%,100%,0.4" ./concrete/black/$f    ; done

mkdir -p ./_tmp/concrete/red/
mkdir -p ./_tmp/concrete/white/
mkdir -p ./_tmp/concrete/black/
mkdir -p ./_tmp/concrete/yellow/
mkdir -p ./concrete/fire-left/
mkdir -p ./concrete/fire-right/
mkdir -p ./concrete/hazard-left/
mkdir -p ./concrete/hazard-right/

C=32
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(255,0,0)"   -colorize $C,$C,$C,0 -level "0%,100%,0.75" ./_tmp/concrete/red/$f      ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(255,127,0)"                      -level "0%,70%,0.9"  ./_tmp/concrete/white/$f    ; done

C=24
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(0,0,0)"                          -level "0%,100%,0.6" ./_tmp/concrete/black/$f    ; done
for f in $(ls -1 ./_source/concrete/model) ; do convert ./_source/concrete/model/$f -fill "rgb(255,230,0)" -colorize $C,$C,$C,0 -level "30%,100%,1.3" ./_tmp/concrete/yellow/$f   ; done

for f in $(ls -1 ./_source/concrete/model) ; do echo $f;convert ./_tmp/concrete/red/$f ./_tmp/concrete/white/$f ./_source/concrete/mask-left/$f -composite ./concrete/fire-left/$f ;done
for f in $(ls -1 ./_source/concrete/model) ; do echo $f;convert ./_tmp/concrete/red/$f ./_tmp/concrete/white/$f ./_source/concrete/mask-right/$f -composite ./concrete/fire-right/$f ;done
for f in $(ls -1 ./_source/concrete/model) ; do echo $f;convert ./_tmp/concrete/yellow/$f ./_tmp/concrete/black/$f ./_source/concrete/mask-left/$f -composite ./concrete/hazard-left/$f ;done
for f in $(ls -1 ./_source/concrete/model) ; do echo $f;convert ./_tmp/concrete/yellow/$f ./_tmp/concrete/black/$f ./_source/concrete/mask-right/$f -composite ./concrete/hazard-right/$f ;done
rm -r ./_tmp
